### Method

# Gtk BookmarkList set_attributes

#### Declaration [src]

    void
    gtk_bookmark_list_set_attributes (
      GtkBookmarkList* self,
      const char* attributes
    )

#### Description [src]

Sets the `attributes` to be enumerated and starts the enumeration.

If `attributes` is `NULL`, no attributes will be queried, but a list of `GFileInfo`s will still be created.

Sets property | `Gtk.BookmarkList:attributes`

#### Parameters

`attributes` | `const char*`
| The attributes to enumerate.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.